<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[Mr. WA's Blog]]></title><description><![CDATA[Do you know WA？It's "WRONG ANSWER"!]]></description><link>https://blog.youkuaiyun.com/creativewang</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; creativewang]]></copyright><item><title><![CDATA[开源如何使Android成为移动领域大佬]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/38236737</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/38236737</guid><author>creativewang</author><pubDate>Mon, 28 Jul 2014 20:56:23 +0800</pubDate><description><![CDATA[# 开源是如何使Android变身移动市场大佬
 
大约是十年前，我有了自己的第一部移动电话，当时我对它的操作系统和处理器一无所知，能有一部“移动”电话我就很高兴了。
 
如今，人们在买手机的时候比我当初考虑的显然更多。他们不仅考虑手机的操作系统和处理器，还要考虑诸如屏幕大小等等其他因素。人们对这些细节的关注一方面源于技术的进步，另一方面也在于如今有诸多手机操作系统可供我们选择。在手机操作]]></description><category></category></item><item><title><![CDATA[[URAL-1001 PYTHON SOLUTION]]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8818775</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8818775</guid><author>creativewang</author><pubDate>Thu, 18 Apr 2013 14:42:52 +0800</pubDate><description><![CDATA[# 1001. Reverse Root
# author: ch3cooh
# date: 20213/4/18

import math

num_lst=[]

try:
	while True:
		num_lst.extend([math.sqrt(int(x)) for x in input().split()])
except EOFError:
	pass

for x in ra]]></description><category></category></item><item><title><![CDATA[[URAL-1000] PYTHON SOLUTION]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8818614</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8818614</guid><author>creativewang</author><pubDate>Thu, 18 Apr 2013 13:55:21 +0800</pubDate><description><![CDATA[# ural 1000. A + B Problem
# author: ch3cooh
# 2013/4/18

print(sum([int(i) for i in input().split(' ')]))

用python一句话搞定！]]></description><category></category></item><item><title><![CDATA[HTML :-)]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8477182</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8477182</guid><author>creativewang</author><pubDate>Mon, 07 Jan 2013 15:18:05 +0800</pubDate><description><![CDATA[I'm a button :-)
Input:]]></description><category></category></item><item><title><![CDATA[POJ-1274 简单二分图]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8145715</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8145715</guid><author>creativewang</author><pubDate>Sun, 04 Nov 2012 14:06:59 +0800</pubDate><description><![CDATA[又理解了一下二分图的匈牙利算法。关键的一点是执行匈牙利算法时，图的顶点应该被分成两个集合，所有边都规定为一个方向。
/*
 * poj-1274
 * mike-w
 * 2012-11-04
 */
#include
#include
#include

#define MAXN 222
#define LOL_DEBUG

int match[MAXN], tag[MAXN];
int f[]]></description><category></category></item><item><title><![CDATA[HDU-2444 二分图]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8145623</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8145623</guid><author>creativewang</author><pubDate>Sun, 04 Nov 2012 13:31:06 +0800</pubDate><description><![CDATA[复习了一下二分图。
说一下最后的结果为什么要除以2。
对于一个二分图，它的顶点被划分进入两个集合A[i], B[i]。在执行匈牙利算法时，若起点start属于A，那么hungary()函数使用的match[i]满足i属于B,对于i属于A的match[i]没有影响。
所以如果不划分集合而在无向图上执行匈牙利算法，求得的最大匹配数为实际最大匹配数的二倍，因为每一条增广路都被计算了两次！
所以执]]></description><category></category></item><item><title><![CDATA[usaco acrobat 证明]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8142378</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8142378</guid><author>creativewang</author><pubDate>Fri, 02 Nov 2012 22:11:24 +0800</pubDate><description><![CDATA[题目在这里我就不再重复。
此题用了贪心算法，每次都取w[i]+s[i]值最大的放在下面。但是为什么这样做可以得到最优解？下面给出证明。
设最优排列时牛的编号由上至下为1,2,3,4....x-1,x+1,  x. 其中w[1]+w[2]+...+w[x-2]=W， s[x]+w[x]
（也就是一头s[i]+w[i]大的牛没有在下边）
那么我们交换x和x+1的位置，由于x上方的牛的总重量减小]]></description><category></category></item><item><title><![CDATA[TYVJ-1106 SPFA]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8130757</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8130757</guid><author>creativewang</author><pubDate>Wed, 31 Oct 2012 00:07:03 +0800</pubDate><description><![CDATA[不知道为什么这个题被分到了DP分类==|
我最近感到SPFA在处理网格最短路之类的问题很方便！
对于这道题，我开始想DP，后来想到SPFA，就用SPFA，貌似要比DP简单。这是个最优化问题。
/*
 * tyvj-1106
 * mike-w
 * 2012-10-30
 *
 */
#include
#include
#include

#define MAXN 1111
#define]]></description><category></category></item><item><title><![CDATA[TYVJ-1057 DP]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8130668</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8130668</guid><author>creativewang</author><pubDate>Tue, 30 Oct 2012 23:14:01 +0800</pubDate><description><![CDATA[/*
 * tyvj-1057
 * mike-w
 * 2012-10-30
 * ********************************
 * 又是惨痛的教训：注意细节&递推的依赖关系
 */
#include
#include
#include

#define MAXN 33333
#define MAXM 66

int opt[MAXM][MAXN];
int v[MAXM]]]></description><category></category></item><item><title><![CDATA[TYVJ-1046 DP]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8130417</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8130417</guid><author>creativewang</author><pubDate>Tue, 30 Oct 2012 21:59:43 +0800</pubDate><description><![CDATA[/*
 * tyvj-1046
 * mike-w
 * 2012-10-30
 * *********************************
 * 10 days to NOIP2012
 * *********************************
 * 学习了一种新DP
 * 问题的关键是空格的数目是不确定的
 */
#include
#include
#include]]></description><category></category></item><item><title><![CDATA[usaco 2008 jan bronze]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8126262</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8126262</guid><author>creativewang</author><pubDate>Mon, 29 Oct 2012 22:19:56 +0800</pubDate><description><![CDATA[原题在这里:
**********************************************************************
                           BRONZE PROBLEMS
**********************************************************************]]></description><category></category></item><item><title><![CDATA[usaco 2008 oct pwalk]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8121655</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8121655</guid><author>creativewang</author><pubDate>Sun, 28 Oct 2012 18:57:31 +0800</pubDate><description><![CDATA[BFS即可，不知道怎么回事，我竟然写了个SPFA——虽然也是正确的。
还需要注意细节，数组开始又小了。。。
/*
 * usaco 2008 oct pwalk.c
 * mike-w
 * 2012-10-28
 */
#include
#include
#include

#define MAXN 1111
#define QSIZE MAXN
#define xLOL_DEBUG
#de]]></description><category></category></item><item><title><![CDATA[usaco 2008 oct water]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8121481</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8121481</guid><author>creativewang</author><pubDate>Sun, 28 Oct 2012 17:47:08 +0800</pubDate><description><![CDATA[这是一道MST，不过我最开始没看出来==！考虑最优解只能是一个森林，森林中的每棵树只有一个井，于是我们可以创建一个虚拟节点，将它和井连接起来，权值赋予挖井的费用，这样解就是MST
/*
 * usaco 2008 oct water.c
 * mike-w
 * 2012-10-28
 */
#include
#include
#include

#define MAXN 333
#define]]></description><category></category></item><item><title><![CDATA[[HDU-1285] 拓扑排序]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8104633</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8104633</guid><author>creativewang</author><pubDate>Tue, 23 Oct 2012 21:38:21 +0800</pubDate><description><![CDATA[拓扑排序的想法十分简单：找个访问的且入读为0的节点访问，然后标记该节点为访问，删除该节点，更新图中其他节点的入度，接着重复上述过程。
思路简单，程序也很好写，复杂度O(N^2)
/*
 * 拓扑排序 [HDU-1285]
 * mike-w
 * 2012-10-23
 */
#include
#include
#include

#define MAXN 555

int f[MAXN][M]]></description><category></category></item><item><title><![CDATA[前序+中序->后序]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8100781</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8100781</guid><author>creativewang</author><pubDate>Mon, 22 Oct 2012 22:24:34 +0800</pubDate><description><![CDATA[/*
 * 前序+中序->后序 [HDU-1710]
 * mike-w
 * 2012-10-22
 * *********************************************
 * 代码几乎是照着被人的写的，不过我还要点评两句
 * *********************************************
 * 首先要理解树的遍历本来就有递归的想法。树的前]]></description><category></category></item><item><title><![CDATA[[VIJOS-1040] 高精度乘法]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8096081</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8096081</guid><author>creativewang</author><pubDate>Sun, 21 Oct 2012 20:02:31 +0800</pubDate><description><![CDATA[注意数组大小。
/*
 * VIJOS-1040 高精度乘法
 * mike-w
 * 2012-10-21
 */
#include
#include
#include

#define MAXL 10000
#define BASE 10000
#define WIDTH 4

int a[MAXL], b[MAXL], c[MAXL];
char buf[MAXL];

int read(]]></description><category></category></item><item><title><![CDATA[[HDU-2602] 0-1背包]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8095980</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8095980</guid><author>creativewang</author><pubDate>Sun, 21 Oct 2012 19:28:48 +0800</pubDate><description><![CDATA[/*
 * 0-1背包 [HDU-2602]
 * mike-w
 * 2012-10-21
 * *************************************
 * 一点心得：注意递推边界条件
 */
#include
#include
#include

#define MAXN 1111
#define MAXV 1111

int T, N, V;
int v[MAXN],]]></description><category></category></item><item><title><![CDATA[[HDU-1051] 贪心]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8079174</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8079174</guid><author>creativewang</author><pubDate>Tue, 16 Oct 2012 22:46:04 +0800</pubDate><description><![CDATA[最开始没想出怎么贪心，看了网上的说法，才知道是贪心，但是网上的文章大多又没有证明……
/*
 * HDU-1051
 * mike-w
 * 2012-10-16
 * GREEDY
 */
#include
#include
#include

#define MAXSIZE 5555
#define LOL_DEBUG

int w[MAXSIZE][2];
int tag[MAXSIZE]]]></description><category></category></item><item><title><![CDATA[NLOG 最长不下降子序列]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8079004</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8079004</guid><author>creativewang</author><pubDate>Tue, 16 Oct 2012 22:01:56 +0800</pubDate><description><![CDATA[LIS有N2的算法，还有NLOGN的算法，这里说一下NLOGN的算法。
我们设S[]为原始序列，F[i]为以S[i]结束的LIS的最大长度。在求LIS时，对于S[i]，我们找一个最大的可能的F[j]，（j
我们要通过枚举F[1...i-1]找到可作为F[i]前缀的LIS的最大长度，换一种思路，我们就可以枚举可能的长度——用二分——再检查它是否可以连接在S[i]的前面。
于是我们用C[i]记录]]></description><category></category></item><item><title><![CDATA[[POJ-2631] 求树的直径]]></title><link>https://blog.youkuaiyun.com/creativewang/article/details/8058368</link><guid>https://blog.youkuaiyun.com/creativewang/article/details/8058368</guid><author>creativewang</author><pubDate>Wed, 10 Oct 2012 22:36:22 +0800</pubDate><description><![CDATA[如何求树的直径我就不说了。
AC此题后有两点感悟：1. 通过边集来存储图（如何查找） 2. 先想清楚再编码，否则会一塌糊涂
/*
 * POJ-2631
 * mike-w
 * 2012-10-10
 * ******************************
 * find the diameter of a tree
 */
#include
#include
#include]]></description><category></category></item></channel></rss>